Package org.eclipse.emf.cdo.server.db.mapping

# Interface ITypeMapping.Factory

All Superinterfaces:
  `org.eclipse.net4j.util.factory.IFactory`

All Known Implementing Classes:
  `AbstractTypeMappingFactory`

Enclosing interface:
  ITypeMapping

public static interface ITypeMapping.Factory extends org.eclipse.net4j.util.factory.IFactory
A factory for typeMappings. This is a regular Net4j factory registered by the respective extension point. It enhances the regular factory using a descriptor which is translated from and to the factoryType by the methods in `TypeMappingUtil`.

Since:
  4.0
Author:
  Stefan Winkler

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PRODUCT_GROUP`
The Net4j factory product group for type mappings

## Method Summary

Modifier and Type
Method
Description
`ITypeMapping.Descriptor`
`getDescriptor()`
Return the descriptor of the kind of type mapping created by this factory.

### Methods inherited from interface org.eclipse.net4j.util.factory.IFactory

`create, getDescriptionFor, getKey`

## Field Details

### PRODUCT_GROUP

static final String PRODUCT_GROUP
The Net4j factory product group for type mappings

See Also:
  - Constant Field Values

## Method Details

### getDescriptor

ITypeMapping.Descriptor getDescriptor()
Return the descriptor of the kind of type mapping created by this factory.